Subject: bug#56459: 29.0.50; Edebug disables Eldoc

From: Noah Friedman <[email-masked]>
Date: Mon, 01 Aug 2022 17:51:08 -0700 (PDT)

In <[email-masked]> 2022-08-01 12:48:28+0200, Lars Ingebrigtsen <[email-masked]> writes:
>Noah Friedman <[email-masked]> writes:
>
>> So in the current snapshot I'm running, 9dc0fdfdc1 (2022-07-02 07:04:32),
>> it looks like the check for edebug mode was removed already
>
>Sorry, I don't follow -- the code currently is
>
>(defun eldoc-display-message-no-interference-p ()
>  "Return nil if displaying a message would cause interference."
>  (not (or executing-kbd-macro
>           (bound-and-true-p edebug-active)
>           ...
>
>So the check for edebug is still there.

My mistake; I was looking in the wrong place.

>If I remove that check, I don't see any problems -- stepping through the
>code doesn't trigger eldoc, so there's no covering up of messages.  (But
>moving the cursor after stepping triggers eldoc, but that seems fine.)

That seems right to me too, so I'd vote for removing it.

This also serves as a useful reminder to me that I ought to do a better job
describing interaction problems in the first place, because I am not likely
to remember the details 22 years later!